<template>
    <div>
        <el-button @click="aaa">aaa</el-button>
        <el-button @click="bbb">bbb</el-button>
    </div>
</template>
<script>
    export default {
        name:     'TestComponent',
        data() {
            return {

            };
        },
        props:    {
            stData: {
                require: true,
                type:    Object,

                /*a: {              ===  user 对象
                    b: '232'
                    ,c: '6767'
                },
                e: [],
                f: false,
                g: 232323,
                    h: []
                */
            },
            stStr:  {
                require: true,
                type:    String,
            },
        },
        computed: {
            /*stStrComputed() {
                return this.stStr;
            },*/
        },
        methods:  {
            aaa() {
                this.stData.a.b = parseInt(this.stData.a.b) + 1;
                this.stData.a.c = parseInt(this.stData.a.c) + 2;
            },
            bbb() {
                // this.stStr = this.stStr + 1
                this.$emit('update:stStr', this.stStr + 1);
            },
        },
        created() {
        },
    };
</script>
